    Copy a data set, creating a new identifier.

copy_data(fromid, toid)
fromid - int or str
toid - int or str

After copying the data set, any changes made to the original data set (that is, the `fromid` identifier) will not be reflected in the new (the `toid`

identifier) data set.

>>> copy_data(1, 2)

Rename the data set with identifier 2 to "orig", and then delete the old data set:

>>> copy_data(2, "orig") >>> delete_data(2)

PARAMETERS

The parameters for this function are:

Parameter
Definition
fromid
The input data set.
toid
The output data set.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023